Name:		avogadro2
Version:	1.90.0
Release:	%mkrel 1
Summary:	An advanced molecular editor
License:	BSD
Group:		Sciences/Chemistry
URL:		http://www.openchemistry.org/projects/avogadro2/
Source0:	https://github.com/OpenChemistry/avogadroapp/archive/%{version}/avogadroapp-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	hdf5-devel
BuildRequires:	spglib-devel
BuildRequires:	cmake(AvogadroLibs)
BuildRequires:	cmake(MoleQueue)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	openbabel
Requires:	python%{python3_pkgversion}

%description
Avogadro is an advanced molecular editor designed for cross-platform use in
computational chemistry, molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and a powerful plugin
architecture. The code in this repository is a rewrite of Avogadro with source
code split across a libraries repository and an application repository. Core
features and goals of the Avogadro project:

  * Open source distributed under the liberal 3-clause BSD license
  * Cross platform with nightly builds on Linux, Mac OS X and Windows
  * Intuitive interface designed to be useful to whole community
  * Fast and efficient embracing the latest technologies
  * Extensible, making extensive use of a plugin architecture
  * Flexible supporting a range of chemical data formats and packages

%prep
%setup -q -n avogadroapp-%{version}

%build
%cmake_qt5 \
	-DENABLE_TESTING:BOOL=OFF \
	-DBUILD_DOCUMENTATION:BOOL=ON

%make_build

%install
%make_install -C build

rm -rf %{buildroot}%{_datadir}/doc

# more icons
for i in 64 128 256 512; do
	install -Dpm 644 avogadro/icons/%{name}_${i}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%doc CONTRIBUTING.md README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Dec 16 2017 daviddavid <daviddavid> 1.90.0-1.mga6
  (not released yet)
+ Revision: 1182783
- branch avogadro2 for mga6

* Sat Dec 16 2017 daviddavid <daviddavid> 1.90.0-1.mga7
+ Revision: 1182774
- initial package avogadro2 (mga#22188)

